commit 5c7894f335f97f8c49555448aa071efde9415df8
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Oct 27 00:17:02 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 9e0e09f94a1..df4dc5fb96e 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2020-10-26  Martin Jambor  <mjambor@suse.cz>
+
+	Backported from master:
+	2020-10-19  Martin Jambor  <mjambor@suse.cz>
+
+	PR tree-optimization/97456
+	* tree-complex.c (set_component_ssa_name): Do not replace ignored decl
+	default definitions with new component vars.  Reorder if conditions.
+
 2020-10-22  Andreas Krebbel  <krebbel@linux.ibm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 8f5453ef1e3..86b2464d6bb 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20201026
+20201027
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 29b46f9dac5..96ccc59379c 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2020-10-26  Martin Jambor  <mjambor@suse.cz>
+
+	Backported from master:
+	2020-10-19  Martin Jambor  <mjambor@suse.cz>
+
+	PR tree-optimization/97456
+	* gcc.dg/tree-ssa/pr97456.c: New test.
+
 2020-10-24  Marek Polacek  <polacek@redhat.com>
 
 	Backported from master:

